Redmine - Defect #2571

Repository not selectable in Project Settings
2009-01-24 02:50 - Georg Nagel

Status: Closed Start date: 2009-01-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description

Hi,

if i select an repository from the select, an ajax request ist made and the same select-element comes back.
S0 i cant choose a repository. perhaps i did smth wrong.

the request uri: http:/slacktop/redmine/repositories/edit/ymisms?repository_scm=Cvs

here is the ajax response from onchange:

Element.update ("tab-content-repository", "\u003Cform action=\"/redmine/repositories/edit/ymisms\"
method

=\"post\" onsubmit=\"new Ajax.Request ('/redmine/repositories/edit/ymisms', {asynchronous:true, eva
1Scripts

:true, parameters:Form.serialize(this)}); return false; \"\u003E\n\n\n\n\u003Cdiv class=\"box tabul
ar

\"\u003E\n\u003Cp\u003E\u003Clabel\u003ESCM\u003C/label\u003E\u003Cselect id=\"repository_scm\" na
me

=\"repository_scm\" onchange=\"new Ajax.Request ('/redmine/repositories/edit/ymisms', {asynchronous
ctrue

, evalScripts:true, method:'get', parameters:Form.serialize (this.form)})\"\uO03E\uO03Coption value
=\"

\"\uO03E--—- Please select -—-\u003C/option\u003E\n\u003Coption value=\"Subversion\"\uO0O3ESubversio
n\u003C

/option\u003E\n\u003Coption value=\"Darcs\"\u003EDarcs\u003C/option\u003E\n\u003Coption value=\"Me
rcurial

\"\u003EMercurial\u003C/option\u003E\n\u003Coption value=\"Cvs\"\uO03ECVS\u003C/option\u003E\n\u00
3Coption

value=\"Bazaar\"\u003EBazaar\u003C/option\u003E\n\u003Coption value=\"Git\"\u003EGit\u003C/option
\u003E

\u003C/select\u003E\u003C/p\ul03E\n\n\u003C/div\u003E\n\n\u003Cdiv class=\"contextual\"\u003E\n\n\
u003C

/div\u003E\n\n\u003Cinput disabled=\"disabled\" name=\"commit\" type=\"submit\" value=\"Create\" /
\uO03E

\n\u003C/form\u003E\n") ;

script/about:

About your application's environment

Ruby version 1.8.7 (1486-1inux)
RubyGems version 1.3.1

Rails version 2.1.2

Active Record version 2.1.2

Action Pack version 2.1.2

Active Resource version 2.1.2

Action Mailer version 2.1.2

Active Support version 2.1.2
Application root /var/www/redmine
Environment development
Database adapter mysqgl

History
http://slacktop/redmine/repositories/edit/ymisms?repository_scm=Cvs

#1 - 2009-01-24 03:20 - Georg Nagel

ok i sent the form "onsubmit" manually via firebug
new Ajax.Request ('/redmine/repositories/edit/ymisms', {asynchronous:true, evalScripts:true, parameters:'reposi
tory_scm=Git'});

then i become an error "you have to define a url" or something
but now i got a form and could add my repository :)

#2 - 2009-01-24 10:09 - Jean-Philippe Lang

I'm not able to reproduce.
Please post the application log.

#3 - 2009-01-24 11:02 - Georg Nagel
- File production.log added

Here's the complete log. creating project + trying to choose a SCM. the last item in the log just gives the the select response as posted above
perhaps its cause im running in an subdir (/redmine/) ? for that i put "ActionController::AbstractRequest.relative_url_root = "/redmine™ into
environment.rb. perhaps it has somthing to do with it ?

#4 - 2009-01-24 12:01 - Jean-Philippe Lang
Thanks.

Parameters: {"action"=>"edit", "id"=>"asdfasdf", "controller"=>"repositories", "repository_scm"=>"Cvs.html"}

I'm wondering why repository_scm paramter is "Cvs.html", any idea about that?
It should be "Cvs", that's why Redmine does not recognize it and doesn't show the appropriate form.

#5 - 2009-01-24 17:00 - Georg Nagel

- Status changed from New to Resolved

ahh okey that must be the rewrite rule of lighttpd then:
i modiefied that from conf/lighttpd.conf:

url.rewrite = ( "7~/$" => "index.html", "~ ([*.]+)S$" => "S$I1.html" )

here is my block of redmine in my config:

url.rewrite-once += (

"~/redmine/$" => "/redmine/index.html", "*/redmine/ ([".]+)$" => "/redmine/$1l.html",
"~/redmine/ (stylesheets| javascripts|images|themes)/ (.*)$" => "/redmine/public/$1/$2"
)
SHTTP ["url"] =~ "~/redmine/" {
SHTTP ["url"] !~ "*/redmine/public" {
proxy-core.protocol = "fastcgi"
proxy-core.allow-x-sendfile = "enable"
proxy-core.backends = ( "localhost:9001", "localhost:9002", "localhost:9003" )
proxy-core.max-pool-size = 16
}
}
That fixed it:

url.rewrite-once += (

# first the static

"~/redmine/ (stylesheets| javascripts|images|themes)/ (.*)$" => "/redmine/public/$1/$2",

# dont forget the query string :)

"~/redmine/S$" => "/redmine/index.html", "~/redmine/ ([".?2]+) (.*)$" => "/redmine/S$1.htmlS$2"
)
its lighttpd 1.5 btw

thx for your help
#6 - 2009-01-24 17:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Indeed.

#7 - 2009-01-24 17:59 - Jean-Philippe Lang
- Affected version (unused) deleted (0.8.0)

- Resolution set to Invalid

Files

production.log

2025-07-02

2.21 KB

2009-01-24

Georg Nagel
